diff --git a/src/libespeak-ng/setlengths.c b/src/libespeak-ng/setlengths.c
index a99159fc4..2e6b4fb7f 100644
--- a/src/libespeak-ng/setlengths.c
+++ b/src/libespeak-ng/setlengths.c
@@ -377,7 +377,7 @@ espeak_ng_STATUS SetParameter(int parameter, int value, int relative)
 
 	int new_value = value;
 	int default_value;
-	extern const int *param_defaults;
+	extern const int param_defaults[N_SPEECH_PARAM];
 
 	if (relative) {
 		if (parameter < 5) {
